import { type EventEmitter } from "../../../stencil-public-runtime";
export declare class NavbarItem {
    el: HTMLIfxNavbarItemElement;
    readonly showLabel: boolean;
    readonly icon: string;
    readonly href: string;
    readonly target: string;
    readonly hideOnMobile: boolean;
    internalHref: string;
    isMenuItem: boolean;
    hasChildNavItems: boolean;
    isSidebarMenuItem: boolean;
    itemPosition: string;
    ifxNavItem: EventEmitter;
    readonly numberIndicator: number;
    readonly dotIndicator: boolean;
    handleOutsideClick(event: MouseEvent): void;
    hideComponent(): Promise<void>;
    showComponent(): Promise<void>;
    toggleChildren(action: any): Promise<void>;
    moveChildComponentsIntoSubLayerMenu(): Promise<void>;
    private getSubLayerBackButton;
    toggleFirstLayerItem(actionOne: any, actionTwo: any): Promise<void>;
    private openSubLayerMenu;
    addMenuItemClass(): Promise<void>;
    moveChildComponentsBackIntoNavbar(): Promise<void>;
    private getRightArrowIcon;
    private getChevronDownIconWrapper;
    returnToFirstLayer(): Promise<void>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    setMenuItemPosition(): Promise<void>;
    private handleClassList;
    private getNavbarItems;
    private getNavBarItem;
    private getSubLayerMenu;
    private relocateItemsToFirstlayer;
    private setHref;
    private checkIfItemIsNested;
    private checkIfItemHasChildren;
    setItemSideSpecifications(): Promise<boolean>;
    private getItemMenu;
    private getParentItemMenu;
    private closeItemMenu;
    private getItemMenuPosition;
    private toggleItemMenu;
    private handleNestedLayerMenu;
    private isFocusWithinComponent;
    private handleLabelWrapper;
    private handleItemGap;
    private removeEmptyItem;
    private handleKeyDown;
    render(): any;
}
